package _VisualDVM.TestingSystem.SAPFOR.SapforTasksPackage.UI;
import javax.swing.*;
import javax.swing.tree.DefaultMutableTreeNode;
public abstract class SapforPackageTreeNode extends DefaultMutableTreeNode {
    public ImageIcon getIcon() {
        // Utils_.MainLog.Print("/icons/versions/" + getImageKey() + ".png");
        ImageIcon res = new ImageIcon((getClass().getResource("/icons/versions/" + getImageKey() + ".png")));
        return (getImageKey() != null) ? res : null;
    }
    public abstract String getImageKey();
}
